## UDisksBaseJob

UDisksBaseJob — Base class for jobs.

## Functions

UDisksDaemon * | udisks_base_job_get_daemon ()
GCancellable * | udisks_base_job_get_cancellable ()
gboolean | udisks_base_job_get_auto_estimate ()
void | udisks_base_job_set_auto_estimate ()
void | udisks_base_job_add_object ()
void | udisks_base_job_remove_object ()

## Properties

gboolean | auto-estimate | Read / Write
GCancellable * | cancellable | Read / Write / Construct Only
UDisksDaemon * | daemon | Read / Write / Construct Only

## Types and Values

| UDisksBaseJob
struct | UDisksBaseJobClass

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksJobSkeleton
                ╰── UDisksBaseJob
                    ├── UDisksSpawnedJob
                    ├── UDisksThreadedJob
                    ╰── UDisksSimpleJob

## Implemented Interfaces

UDisksBaseJob implements GDBusInterface and UDisksJob.

## Description

This type provides common features needed by all job types.

## Functions

### udisks_base_job_get_daemon ()

    UDisksDaemon *
    udisks_base_job_get_daemon (UDisksBaseJob *job);

Gets the UDisksDaemon for `job` .

#### Parameters

job | A UDisksBaseJob. |

#### Returns

A UDisksDaemon. Do not free, the object belongs to `job` .

### udisks_base_job_get_cancellable ()

    GCancellable *
    udisks_base_job_get_cancellable (UDisksBaseJob *job);

Gets the GCancellable for `job` .

#### Parameters

job | A UDisksBaseJob. |

#### Returns

A GCancellable. Do not free, the object belongs to `job` .

### udisks_base_job_get_auto_estimate ()

    gboolean
    udisks_base_job_get_auto_estimate (UDisksBaseJob *job);

Gets whether auto-estimation is being used.

#### Parameters

job | A UDisksBaseJob. |

#### Returns

`TRUE` if auto-estimation is being used, `FALSE` otherwise.

### udisks_base_job_set_auto_estimate ()

    void
    udisks_base_job_set_auto_estimate (UDisksBaseJob *job,
                                       gboolean value);

Sets whether auto-estimation is being used.

#### Parameters

job | A UDisksBaseJob. |
value | `TRUE` if auto-estimation is to be use, `FALSE` otherwise. |

### udisks_base_job_add_object ()

    void
    udisks_base_job_add_object (UDisksBaseJob *job,
                                UDisksObject *object);

Adds the object path for `object` to the Objects array. If the object path is already in the array, does nothing.

#### Parameters

job | A UDisksBaseJob. |
object | A UDisksObject. |

### udisks_base_job_remove_object ()

    void
    udisks_base_job_remove_object (UDisksBaseJob *job,
                                   UDisksObject *object);

Removes the object path for `object` to the Objects array. If the object path is not in the array, does nothing.

#### Parameters

job | A UDisksBaseJob. |
object | A UDisksObject. |

## Types and Values

### UDisksBaseJob

    typedef struct _UDisksBaseJob UDisksBaseJob;

The UDisksBaseJob structure contains only private data and should only be accessed using the provided API.

### struct UDisksBaseJobClass

    struct UDisksBaseJobClass {
      UDisksJobSkeletonClass parent_class;
    };

Class structure for UDisksBaseJob.

#### Members

## Property Details

### The `“auto-estimate”` property

      “auto-estimate”            gboolean

If `TRUE`, the “expected-end-time” property will be automatically updated every time the “progress” property is updated.

Owner: UDisksBaseJob

Flags: Read / Write

Default value: FALSE

### The `“cancellable”` property

      “cancellable”              GCancellable *

The GCancellable to use.

Owner: UDisksBaseJob

Flags: Read / Write / Construct Only

### The `“daemon”` property

      “daemon”                   UDisksDaemon *

The UDisksDaemon the object is for.

Owner: UDisksBaseJob

Flags: Read / Write / Construct Only